<?php
/**
 * Drwho controller for the TARDIS
 * 
 * Accepts an array of configuration values to the constructor. If no config 
 * passed, it will automatically determine the component and controller names.
 * Internally, sets the $database, $user, $view, and component $config.
 * 
 * Executable tasks are determined by method name. All public methods that end in 
 * "Task" (e.g., displayTask, editTask) are callable by the end user.
 * 
 * View name defaults to controller name with layout defaulting to task name. So,
 * a $controller of "One" and a $task of "two" will map to:
 *
 *    /{component name}
 *        /views
 *            /one
 *                /tmpl
 *                    /two.php
 */
class DrwhoControllerTardis extends \Hubzero\Component\SiteController
{
	/**
	 * Default task. Displays a list of characters.
	 *
	 * @return	void
	 */
	public function displayTask()
	{
		// Output the view
		$this->view->display();
	}
}