<?php
// Push CSS to the document
//
// The css() method provides a quick and convenient way to attach stylesheets. 
// 
// 1. The name of the stylesheet to be pushed to the document (file extension is optional). 
//    If no name is provided, the name of the component or plugin will be used. For instance, 
//    if called within a view of the component com_tags, the system will look for a stylesheet named tags.css.
// 
// 2. The name of the extension to look for the stylesheet. For components, this will be 
//    the component name (e.g., com_tags). For plugins, this is the name of the plugin folder 
//    and requires the third argument be passed to the method.
//
// Method chaining is also allowed.
// $this->css()  
//      ->css('another');

$this->css();

// Similarly, a js() method is available for pushing javascript assets to the document.
// The arguments accepted are the same as the css() method described above.
//
// $this->js();
?>
<header id="content-header">
	<h2><?php echo JText::_('COM_DRWHO'); ?></h2>
</header>
<section class="main section">
	<div class="container">
		<table class="entries">
			<caption><?php echo JText::_('COM_DRWHO_CHARACTERS'); ?></caption>
			<tbody>
			<?php foreach ($this->records as $record) { ?>
				<tr>
					<th>
						<?php echo $this->escape($record->id); ?>
					</th>
					<td>
						<a href="<?php echo JRoute::_('index.php?option=' . $this->option . '&controller=' . $this->controller . '&task=edit&id=' . intval($record->id)); ?>">
							<?php echo $this->escape($record->name); ?>
						</a>
					</td>
					<td>
						<?php echo $record->friend ? 'friend' : ''; ?>
					</td>
				</tr>
			<?php } ?>
			</tbody>
		</table>

		<?php 
		jimport('joomla.html.pagination');
		$pageNav = new JPagination(
			$this->total, 
			$this->filters['start'], 
			$this->filters['limit']
		);
		//$pageNav->setAdditionalUrlParam('friend', $this->filters['friend']);
		//$pageNav->setAdditionalUrlParam('enemy', $this->filters['enemy']);
		echo $pageNav->getListFooter();

		JPluginHelper::importPlugin('drwho');
		$dispatcher = JDispatcher::getInstance();

		$results = $dispatcher->trigger('onAfterDisplay');
		echo implode("\n", $results);
		?>
	</div>
</section>