<?php
// Push CSS to the document
//
// The css() method provides a quick and convenient way to attach stylesheets. 
// 
// 1. The name of the stylesheet to be pushed to the document (file extension is optional). 
//    If no name is provided, the name of the component or plugin will be used. For instance, 
//    if called within a view of the component com_tags, the system will look for a stylesheet named tags.css.
// 
// 2. The name of the extension to look for the stylesheet. For components, this will be 
//    the component name (e.g., com_tags). For plugins, this is the name of the plugin folder 
//    and requires the third argument be passed to the method.
//
// Method chaining is also allowed.
// $this->css()  
//      ->css('another');

$this->css();

// Similarly, a js() method is available for pushing javascript assets to the document.
// The arguments accepted are the same as the css() method described above.
//
// $this->js();
?>
<header id="content-header">
	<h2><?php echo JText::_('COM_DRWHO'); ?></h2>
</header>

<section class="main section">
<pre>
   ((VWORP))
   ((VWORP))
   ((VWORP))

             ___          
             | |          
             | |         
     ------------------- 
     ------------------- 
      |  ___  |  ___  | 
      | | | | | | | | | 
      | |-+-| | |-+-| | 
      | |_|_| | |_|_| | 
      |  ___  |  ___  | 
      | |   | | |   | | 
      | |   | | |   | | 
      | |___| | |___| | 
      |  ___  |  ___  | 
      | |   | | |   | | 
      | |   | | |   | | 
      | |___| | |___| | 
      |       |       | 
     =================== 
</pre>
</section>